import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

import { VictoryBar, VictoryChart } from 'Victory';

const row = d => {
  d.Horsepower = +d.Horsepower;
  return d;
};

const App = () => {
  const [data, setData] = useState([]);
  
  useEffect(() => {
    csv('data.csv', row).then(setData);
  }, []);
  
  console.log(data);
  
  return (
    <h1>data</h1>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);